package com.ruoyi.web.calculate.domain;

import java.math.BigDecimal;
import java.math.RoundingMode;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.annotation.Excel.ColumnType;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 角度度分秒转换对象 cmc_degree_to_dms
 * 
 * @author qyx
 * @date 2026-06-11
 */
public class CmcDegreeToDMS extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 待求点号 */
    @Excel(name = "待求点")
    private String pointNumber;

    /** 经度 */
    @Excel(name = "经度（度）", cellType = ColumnType.NUMERIC, numberFormat = "0.000000000")
    private Double longitude;

    /** 纬度 */
    @Excel(name = "纬度（度）", cellType = ColumnType.NUMERIC, numberFormat = "0.000000000")
    private Double latitude;

    /** 经度 */
    @Excel(name = "经度（度分秒）", cellType = ColumnType.NUMERIC, numberFormat = "0.000000000")
    private Double longitudeDMS;

    /** 纬度 */
    @Excel(name = "纬度（度分秒）", cellType = ColumnType.NUMERIC, numberFormat = "0.000000000")
    private Double latitudeDMS;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    
    public void setPointNumber(String pointNumber) 
    {
        this.pointNumber = pointNumber;
    }

    public String getPointNumber() 
    {
        return pointNumber;
    }
    
    public void setLongitude(Double longitude) 
    {
        this.longitude = longitude;
    }

    public Double getLongitude() 
    {
        return longitude;
    }
    
    public void setLatitude(Double latitude) 
    {
        this.latitude = latitude;
    }

    public Double getLatitude() 
    {
        return latitude;
    }

    public void setLongitudeDMS(Double longitudeDMS) 
    {
        this.longitudeDMS = longitudeDMS;
    }

    public Double getLongitudeDMS() 
    {
        return longitudeDMS;
    }
    
    public void setLatitudeDMS(Double latitudeDMS) 
    {
        this.latitudeDMS = latitudeDMS;
    }

    public Double getLatitudeDMS() 
    {
        return latitudeDMS;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("pointNumber", getPointNumber())
            .append("longitude", getLongitude())
            .append("latitude", getLatitude())
            .append("longitudeDMS", getLongitudeDMS())
            .append("latitudeDMS", getLatitudeDMS())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .toString();
    }
}
